/* ====================================================================
 * OpenCMS Lucene Search Engine Integration
 * Copyright (C) 2002 Syskinetic Consulting Limited.
 * http://www.syskinetic.com
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ====================================================================
*/

import java.util.*;


public class HTMLParser {
	
	// very crude way of stripping tags out of HTML
	public static String stripText(String content) throws Exception {

		boolean inquote1 = false;
		boolean inquote2 = false;
		boolean intag = false;
		boolean keeptext = true;
		boolean inscript = false;
		boolean incomment = false;
		String result = "";
		int len = content.length();

		for (int i=0; i<len;i++)
		{
			switch (content.charAt(i)) {
				case '>'  : if(intag && !inquote1 && !inquote2) intag=inquote2=inquote1=false;
					if(incomment && !inquote1 && !inquote2 && (i>3) && content.substring(i-3,i).equalsIgnoreCase("-->") ) incomment=false;
					break;
				case '<'  : intag = true; 
					if(!incomment && !inquote1 && !inquote2 && (i<len-7) && content.substring(i,i+7).equalsIgnoreCase("<script")) inscript=true;
					if(!incomment && !inquote1 && !inquote2 && (i<len-8) && content.substring(i,i+8).equalsIgnoreCase("</script")) inscript=false;
					if(!inquote1 && !inquote2 && (i<len-4) && content.substring(i,i+4).equalsIgnoreCase("<!--")) incomment=true;
					break;
				case '"'  : if(intag) inquote1 = !inquote1;
					break;
				case '\'' : if(intag) inquote2 = !inquote2;
					break;
				default   : if(!intag && !inscript && !incomment) result+=content.charAt(i);
			}
		}
		return result;
	}
}